﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using Telerik.Windows.Controls;
using Telerik.Windows.Controls.GanttView;
using Telerik.Windows.Controls.Scheduling;

namespace RadGanttView_Xaml_WPF1
{
    public class ViewModel : ViewModelBase
    {
        public ViewModel()
        {
            this.VisibleRange = new DateRange(DateTime.Today.AddMonths(-1).AddDays(-7), DateTime.Today.AddMonths(10));
            this.Tasks = new SoftwarePlanning();
        }

        private ObservableCollection<IGanttTask> tasks;
        public ObservableCollection<IGanttTask> Tasks
        {
            get
            {
                return tasks;
            }
            set
            {
                tasks = value;
                OnPropertyChanged(() => Tasks);
            }
        }

        private IDateRange visibleRange;
        public IDateRange VisibleRange
        {
            get
            {
                return visibleRange;
            }
            set
            {
                if (visibleRange != value)
                {
                    visibleRange = value;
                    OnPropertyChanged(() => VisibleRange);
                }
            }
        }
    }
}
